//
// Created by imanol on 12/25/16.
//

#ifndef SYNACORVM_STACK_H
#define SYNACORVM_STACK_H

#include <stdint.h>
#include "cpu.h"

extern uint8_t STACK_FAULT;

void initialize_stack();
void free_stack();
void stack_push(uint16_t value);
uint16_t stack_pop();

uint32_t stack_dump(uint16_t **dump);
void stack_load(uint16_t *dump,uint32_t size);

#endif //SYNACORVM_STACK_H
